From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pulsectl-asyncio/
Date: Sat, 7 Sep 2024 06:23:14 +0000 (UTC) [thread overview]
Message-ID: <1725690182.5751497c91f48d8ed01605c30b10f940567722f6.mgorny@gentoo> (raw)
commit: 5751497c91f48d8ed01605c30b10f940567722f6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 7 05:39:48 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 7 06:23:02 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5751497c
dev-python/pulsectl-asyncio: Bump to 1.2.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pulsectl-asyncio/Manifest | 1 +
.../pulsectl-asyncio/pulsectl-asyncio-1.2.1.ebuild | 41 ++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-python/pulsectl-asyncio/Manifest b/dev-python/pulsectl-asyncio/Manifest
index fb2b24db043b..bd9d822b3bb4 100644
--- a/dev-python/pulsectl-asyncio/Manifest
+++ b/dev-python/pulsectl-asyncio/Manifest
@@ -1 +1,2 @@
DIST pulsectl-asyncio-1.2.0.gh.tar.gz 19517 BLAKE2B 919909acfabfefa1dbea99cef6285483652649c111df6f3f6719d92e35ea548b54e6c0a60e4277b69610ee9a58c2c29c3355b7f2fe2780d773aa2c89513ce9a1 SHA512 b560c38b6d18a4c73551ae4ba34243f0043dc18426141c128c6ca3e8bd30f4d94d8718c3003ae506be038bc645ee569b77e6289b97ac913daa1e42e6b9aef03b
+DIST pulsectl-asyncio-1.2.1.gh.tar.gz 19531 BLAKE2B 4a3275d75602907f91b3a0979ff8908f4fa23bcf5d1d04068f878fc477011258180cec8ef16b6e6ebe6cc1713ff493841686cc67c4990222c061aa1b722199ff SHA512 b22d0a634433d558860ff1590020ba7272412be97da478a8b00ec457506cb58353b645537ae26591f1aed300cacc14fd0f50c8a3a0c7d650d610b24cc52248ee
diff --git a/dev-python/pulsectl-asyncio/pulsectl-asyncio-1.2.1.ebuild b/dev-python/pulsectl-asyncio/pulsectl-asyncio-1.2.1.ebuild
new file mode 100644
index 000000000000..8b6cfcbfc7dc
--- /dev/null
+++ b/dev-python/pulsectl-asyncio/pulsectl-asyncio-1.2.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Asyncio frontend for pulsectl, Python bindings of libpulse"
+HOMEPAGE="
+ https://github.com/mhthies/pulsectl-asyncio/
+ https://pypi.org/project/pulsectl-asyncio/
+"
+# sdist is missing examples that are used in tests
+SRC_URI="
+ https://github.com/mhthies/pulsectl-asyncio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pulsectl-23.5.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ media-sound/pulseaudio-daemon
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e 's:,<=[0-9.]*::' setup.cfg || die
+ distutils-r1_src_prepare
+}
next reply other threads:[~2024-09-07 6:23 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-07 6:23 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-23 18:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/pulsectl-asyncio/ Michał Górny
2024-11-23 18:02 Arthur Zamarin
2024-11-03 3:52 Michał Górny
2024-09-21 10:45 Michał Górny
2024-09-21 10:41 Arthur Zamarin
2024-07-07 2:44 Michał Górny
2024-04-24 17:15 Michał Górny
2024-04-24 16:15 Sam James
2024-04-09 6:01 Michał Górny
2023-12-21 6:52 Sam James
2023-12-05 9:59 Jakov Smolić
2023-12-05 6:52 Joonas Niilola
2023-12-02 19:30 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1725690182.5751497c91f48d8ed01605c30b10f940567722f6.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox